DtMmdbLocatorGetSectionObjectId(library call)

NAME
DtMmdbLocatorGetSectionObjectId — obtains the object identifier of a section

SYNOPSIS

#include &<DtMmdb.h>
DtMmdbHandle* DtMmdbLocatorGetSectionObjectId(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbLocatorGetSectionObjectId function returns the object identifier of the specified section. Use the DtMmdbFreeHandle function to release the identifier when it is no longer needed. Table lookup is involved because the section identifier is specified by the locator_ptr field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and the logical identifier of the section in the locator_ptr field.

RETURN VALUE

If DtMmdbLocatorGetSectionObjectId completes successfully, it returns a pointer to the object identifier for the section. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbLocatorGetSectionObjectId call might be coded.

DtMmdbInfoRequest request;
/* fill the request */
DtMmdbLocatorGetSectionObjectId(&&request);

SEE ALSO

TO BE SUPPLIED